import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["title", "content", "flex", "children"];
import React from 'react';
import "./index.scss";

var Panel = function Panel(_ref) {
  var title = _ref.title,
      content = _ref.content,
      _ref$flex = _ref.flex,
      flex = _ref$flex === void 0 ? 1 : _ref$flex,
      children = _ref.children,
      otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);

  var _otherProps = otherProps || {}; // @ts-ignore


  _otherProps.style = otherProps.style || {};
  _otherProps.style.flex = flex;
  return /*#__PURE__*/React.createElement("div", _extends({
    className: 'panel'
  }, otherProps), /*#__PURE__*/React.createElement("div", {
    className: 'title'
  }, title || 'Panel标题'), /*#__PURE__*/React.createElement("div", {
    className: 'content'
  }, content || 'Panel内容'));
};

export default Panel;